package org.springblade.estate.feign;

import org.springblade.core.tool.api.R;
import org.springblade.estate.dto.AuthorizeRecordsDTO;
import org.springblade.estate.dto.UserAccessPermissionsDTO;
import org.springblade.estate.entity.UserAccessPermissions;
import org.springblade.estate.vo.UserAccessPermissionsVO;
import org.springframework.stereotype.Component;
import java.util.ArrayList;
import java.util.List;

@Component
public class UserAccessPermissionsClientFallback implements IUserAccessPermissionsClient {
            /**
         * 详情
         */
        @Override
        public UserAccessPermissionsVO detail(UserAccessPermissions userAccessPermissions) {
            return null;
        }

        /**
         * 查询
         */
        @Override
        public List<UserAccessPermissionsVO> list(UserAccessPermissions userAccessPermissions) {
            return null;
        }



        /**
         * 新增
         */
        @Override
        public boolean save( UserAccessPermissions userAccessPermissions) {
            return false;
        }

        /**
         * 修改
         */
        @Override
        public boolean update( UserAccessPermissions userAccessPermissions) {
            return false;
        }

        /**
         * 新增或修改
         */
        @Override
        public boolean submit( UserAccessPermissions userAccessPermissions) {
            return false;
        }


        /**
         * 删除
         */
        @Override
        public boolean remove( String ids) {
            return false;
        }

	@Override
	public R generateUserAccessPermissions(AuthorizeRecordsDTO authorizeRecordsDTO) {
		return null;
	}

	@Override
	public R deleteUserAccessPermissions(AuthorizeRecordsDTO authorizeRecordsDTO) {
		return null;
	}

	@Override
	public List<Long> getUserIdsByUserType(String userType) {
		return new ArrayList<>();
	}

	@Override
	public R pushFace(UserAccessPermissionsDTO userAccessPermissionsDTO) {
		return null;
	}

	@Override
	public R deleteFace(String userId, String userType) {
		return null;
	}

	@Override
	public List<UserAccessPermissionsVO> getListByUserAndAddress(String userId, String userType, Long residentialId, Long unitId, Integer permissions) {
		return null;
	}

}
